const response = await fetch("https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6", {
method: "GET",
headers: { "x-api-key": "sm_your_api_key" },
});
const data = await response.json();
console.log(data);
<?php
$ch = curl_init("https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"x-api-key: sm_your_api_key",
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
import requests
response = requests.get(
"https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6",
headers={"x-api-key": "sm_your_api_key"},
)
response.raise_for_status()
print(response.json())
require "net/http"
require "uri"
uri = URI("https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6")
request = Net::HTTP::Get.new(uri)
request["x-api-key"] = "sm_your_api_key"
response = Net::HTTP.start(uri.host, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts response.body
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6", nil)
if err != nil {
panic(err)
}
req.Header.Set("x-api-key", "sm_your_api_key")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6"))
.header("x-api-key", "sm_your_api_key")
.GET()
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
using System.Net.Http;
using System.Text;
var request = new HttpRequestMessage(HttpMethod.Get, "https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6");
request.Headers.Add("x-api-key", "sm_your_api_key");
var client = new HttpClient();
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
curl -X GET "https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
-H "x-api-key: sm_your_api_key"
{
"data": {
"created_at": "2026-09-18T10:24:31.482913Z",
"customizable": true,
"mockup_id": "893ea326-278b-480b-b130-87dd6aee06dc",
"name": "Front view",
"quads": [
{
"name": "Front",
"points": [
[
518.0,
646.0
],
[
1534.0,
638.0
],
[
1541.0,
1662.0
],
[
511.0,
1670.0
]
],
"print_area_id": "19be48d4-c810-4420-86e3-7ec2a4d85571",
"sort_order": 0
}
],
"source_height": 2048,
"source_width": 2048,
"status": "ready",
"surfaces": [
{
"bbox": {
"height": 1552.0,
"width": 1244.0,
"x": 402.0,
"y": 286.0
},
"points": [
[
402.0,
318.0
],
[
724.0,
286.0
],
[
1324.0,
286.0
],
[
1646.0,
318.0
],
[
1646.0,
742.0
],
[
1452.0,
806.0
],
[
1452.0,
1838.0
],
[
596.0,
1838.0
],
[
596.0,
806.0
],
[
402.0,
742.0
]
],
"surface_uuid": "733ee99a-f41f-4b9b-bf33-2ffa489f96db"
}
],
"updated_at": "2026-09-18T10:41:07.118204Z",
"version": 1,
"thumbnail_url": null
},
"success": true
}
Retrieve a single photo mockup
Returns mockup metadata and print-area summaries. Use the mockup_id with POST /api/v1/photo-mockups//render to render artwork.
GET
/
api
/
v1
/
photo-mockups
/
{mockup_id}
const response = await fetch("https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6", {
method: "GET",
headers: { "x-api-key": "sm_your_api_key" },
});
const data = await response.json();
console.log(data);
<?php
$ch = curl_init("https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"x-api-key: sm_your_api_key",
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
import requests
response = requests.get(
"https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6",
headers={"x-api-key": "sm_your_api_key"},
)
response.raise_for_status()
print(response.json())
require "net/http"
require "uri"
uri = URI("https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6")
request = Net::HTTP::Get.new(uri)
request["x-api-key"] = "sm_your_api_key"
response = Net::HTTP.start(uri.host, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts response.body
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6", nil)
if err != nil {
panic(err)
}
req.Header.Set("x-api-key", "sm_your_api_key")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6"))
.header("x-api-key", "sm_your_api_key")
.GET()
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
using System.Net.Http;
using System.Text;
var request = new HttpRequestMessage(HttpMethod.Get, "https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6");
request.Headers.Add("x-api-key", "sm_your_api_key");
var client = new HttpClient();
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
curl -X GET "https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
-H "x-api-key: sm_your_api_key"
{
"data": {
"created_at": "2026-09-18T10:24:31.482913Z",
"customizable": true,
"mockup_id": "893ea326-278b-480b-b130-87dd6aee06dc",
"name": "Front view",
"quads": [
{
"name": "Front",
"points": [
[
518.0,
646.0
],
[
1534.0,
638.0
],
[
1541.0,
1662.0
],
[
511.0,
1670.0
]
],
"print_area_id": "19be48d4-c810-4420-86e3-7ec2a4d85571",
"sort_order": 0
}
],
"source_height": 2048,
"source_width": 2048,
"status": "ready",
"surfaces": [
{
"bbox": {
"height": 1552.0,
"width": 1244.0,
"x": 402.0,
"y": 286.0
},
"points": [
[
402.0,
318.0
],
[
724.0,
286.0
],
[
1324.0,
286.0
],
[
1646.0,
318.0
],
[
1646.0,
742.0
],
[
1452.0,
806.0
],
[
1452.0,
1838.0
],
[
596.0,
1838.0
],
[
596.0,
806.0
],
[
402.0,
742.0
]
],
"surface_uuid": "733ee99a-f41f-4b9b-bf33-2ffa489f96db"
}
],
"updated_at": "2026-09-18T10:41:07.118204Z",
"version": 1,
"thumbnail_url": null
},
"success": true
}
const response = await fetch("https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6", {
method: "GET",
headers: { "x-api-key": "sm_your_api_key" },
});
const data = await response.json();
console.log(data);
<?php
$ch = curl_init("https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"x-api-key: sm_your_api_key",
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
import requests
response = requests.get(
"https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6",
headers={"x-api-key": "sm_your_api_key"},
)
response.raise_for_status()
print(response.json())
require "net/http"
require "uri"
uri = URI("https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6")
request = Net::HTTP::Get.new(uri)
request["x-api-key"] = "sm_your_api_key"
response = Net::HTTP.start(uri.host, uri.port, use_ssl: true) do |http|
http.request(request)
end
puts response.body
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6", nil)
if err != nil {
panic(err)
}
req.Header.Set("x-api-key", "sm_your_api_key")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6"))
.header("x-api-key", "sm_your_api_key")
.GET()
.build();
HttpResponse<String> response = HttpClient.newHttpClient()
.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
using System.Net.Http;
using System.Text;
var request = new HttpRequestMessage(HttpMethod.Get, "https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6");
request.Headers.Add("x-api-key", "sm_your_api_key");
var client = new HttpClient();
var response = await client.SendAsync(request);
Console.WriteLine(await response.Content.ReadAsStringAsync());
curl -X GET "https://api.sudomock.com/api/v1/photo-mockups/3fa85f64-5717-4562-b3fc-2c963f66afa6" \
-H "x-api-key: sm_your_api_key"
{
"data": {
"created_at": "2026-09-18T10:24:31.482913Z",
"customizable": true,
"mockup_id": "893ea326-278b-480b-b130-87dd6aee06dc",
"name": "Front view",
"quads": [
{
"name": "Front",
"points": [
[
518.0,
646.0
],
[
1534.0,
638.0
],
[
1541.0,
1662.0
],
[
511.0,
1670.0
]
],
"print_area_id": "19be48d4-c810-4420-86e3-7ec2a4d85571",
"sort_order": 0
}
],
"source_height": 2048,
"source_width": 2048,
"status": "ready",
"surfaces": [
{
"bbox": {
"height": 1552.0,
"width": 1244.0,
"x": 402.0,
"y": 286.0
},
"points": [
[
402.0,
318.0
],
[
724.0,
286.0
],
[
1324.0,
286.0
],
[
1646.0,
318.0
],
[
1646.0,
742.0
],
[
1452.0,
806.0
],
[
1452.0,
1838.0
],
[
596.0,
1838.0
],
[
596.0,
806.0
],
[
402.0,
742.0
]
],
"surface_uuid": "733ee99a-f41f-4b9b-bf33-2ffa489f96db"
}
],
"updated_at": "2026-09-18T10:41:07.118204Z",
"version": 1,
"thumbnail_url": null
},
"success": true
}
Authorizations
API key with sm_ prefix. Get your key at https://sudomock.com/dashboard/api-keys
Path Parameters
Id of the photo mockup to read, as returned when it was created.
Was this page helpful?
⌘I